# All "Thoughts" and Site Text Now Licensed Under CC BY-SA

All "thoughts"---that is, my blog-like entries that are generated by the
repository commit messages---and site text are hereby retroactively relicensed
under the [Creative Commons Attribution-ShareAlike 3.0 Unported License][0].
This license shall not supersede any license that is explicitly put forth within
a work; see the COPYING file within the thoughts repository---available on the
"Projects" page---for more information.

[0]: http://creativecommons.org/licenses/by-sa/3.0/

<!-- more -->

This is not a decision I take lightly; it has received much thought over the
course of recent years. For some time, I accepted [the view of Richard Stallman
and the Free Software Foundation][1] on opinion pieces in that, since they
express personal opinions, it is not unreasonable to require that they be
distributed verbatim. Indeed, it would seem wise not to allow someone to change
your words, especially on something that you are passionate about.

However, I have come to adopt another perspective. What is the motivation behind
releasing content under a license that permits modification (that is, the
creation of derivative works)? Often, the primary reason is to allow others to
improve upon the content or to modify it to suit their particular needs. To
prevent others from locking down those changes---preventing others from having
the same rights as they did---many will often release their works under licenses
that require that all derivatives be released under the same terms. In the case
of Creative Commons, this is called ["ShareAlike"][2], which is motivated by
GNU's copyright hack called [copyleft][3] (popularized by the [GNU General
Public License][4]).

For [free software][5] advocates, the question of whether or not to permit
modification is generally not even raised---it is a necessity. Software serves a
functional purpose: Prohibiting modification could prevent users from altering
the software in ways that they may find useful and could be used to exert
control over the users. Software does stuff. Software can control what the user
can and cannot do.

Creative works are often considered in a different light. Like software, they
are indeed useful---they can be tools to learn, to entertain, etc. However, does
prohibiting modification do any harm? In the case of [documentation for free
software][6], yes---documentation is very important and can make the difference
between highly useful software and impenetrable software. Free documentation
ensures that, as the software grows, the documentation can grow with it. Since
the documentation for many projects is often scarce or poorly written (great
computer hackers are not necessarily great language hackers), the freedom to
modify the documentation is a necessity.

Then what of texts that have nothing to do with a free software project? Texts
that serve as an educational resource of any kind would benefit from being free
just as a free software project would---experts could contribute, teachers could
alter it to suit their particular teaching style or their classroom setting,
etc. But what of texts that exist purely as opinion pieces?

I'm not sure there's such a thing as a "pure" opinion piece, unless it is
utter garbage.

An author would do well to substantiate their opinion with appropriate
references (though often times, this is not the case). With those
references (or lack thereof) comes the need to connect them to the content---the
author must explain his or her opinion. This explanation is educational, even if
the reader does not agree with the opinion. Perhaps the reader wishes to use the
opinion piece as a resource, but notices that it is lacking in some respect.
Should they not be able to improve it, perhaps to even further the author's
point? Or, perhaps the opinion piece could be extended to the contrary---to
prove additional references to either make it neutral or even work against the
author's original opinion.  Even though this may not be what the author wants,
this is still a useful derivation of the original work.

As an example, consider this very post. This is clearly an opinion piece---I
have made the choice to release my content under a Creative Commons license and
I am substantiating my opinion in the hope that others may gain insight and
possibly even choose the same path for their own creative works. What if someone
wished to present this article to a group of individuals---maybe in the
workplace---but found my "garbage" comment to be unnecessarily harsh? What
personal harm would I incur if they were to remove that statement? However, what
if they wished to go further by replacing all references to "free software"
with references to "open source"---a term which I [reject][7]? Well, this
could potentially affect my image, depending on the group's philosophy. What
now?

There are a few important points to note from this. Firstly, the license
mandates that:

> If You Distribute, or Publicly Perform the Work or any Adaptations or
> Collections, You must, unless a request has been made pursuant to Section
> 4(a), keep intact all copyright notices for the Work and provide, reasonable
> to the medium or means You are utilizing: (i) the name of the Original Author
> (or pseudonym, if applicable) if supplied, and/or if the Original Author
> and/or Licensor designate another party or parties (e.g., a sponsor institute,
> publishing entity, journal) for attribution ("Attribution Parties") in
> Licensor's copyright notice, terms of service or by other reasonable means,
> the name of such party or parties; (ii) the title of the Work if supplied;
> (iii) to the extent reasonably practicable, the URI, if any, that Licensor
> specifies to be associated with the Work, unless such URI does not refer to
> the copyright notice or licensing information for the Work; and (iv) ,
> consistent with Ssection [sic] 3(b), in the case of an Adaptation, a credit
> identifying the use of the Work in the Adaptation (e.g., "French translation
> of the Work by Original Author," or "Screenplay based on original Work by
> Original Author").[8]

In plain English---you must provide attribution to the original author and
indicate that the work has been modified from the original. Furthermore:

> The credit required by this Section 4(c) may be implemented in any reasonable
> manner; provided, however, that in the case of a Adaptation or Collection, at
> a minimum such credit will appear, if a credit for all contributing authors of
> the Adaptation or Collection appears, then as part of these credits and in a
> manner at least as prominent as the credits for the other contributing
> authors.[8]

It would therefore be appropriate to assume that an author of a derivate work
will, in good faith, make clear attribution. Should this not be the case, then
what is to say that the author would not have simply modified a work which is
not licensed to permit modifications?

The next point is another simple one: Under United States copyright law, the
[fair use doctrine][9] permits limited use of a copyrighted work without prior
consent from the author; it is this doctrine that allows, for example, authors
and journalists to quote portions of other works to report on or back up their
arguments. This means that, even if the license did not permit, an author could
still incorporate *portions* of my work to support their own arguments or agenda,
regardless of whether or not I may agree with it. This segues into the final
point.

Who am I to [dictate others opinions][10]? It would not be right of me to limit
one's freedom simply because they violate my own personal opinions or beliefs.
Therefore, if this is one condition under which I would decide to restrict my
creative works, then that reason should be immediately dismissed. This means
that---within the context of my previous example---if someone wanted to alter
all the references to "free software" in my work to adapt it to their own
personal style, then they should be permitted to do so. Such a work is no longer
my own: They must clearly state that it has been altered from the original.
Hopefully readers take notice of that. My works are always published on my own
personal website where the originals can be found; with today's search engines,
such a task is trivial. If someone neglects to do so---and I do understand that
many will neglect to do so---then they have not made an informed opinion on the
material.

Another minor point would be that, for the majority of my works, it is unlikely
that anyone will be making any sort of alteration.

As such, I find that I have little ground to stand on should I attempt to
rationalize a more restrictive license. Any remaining arguments, such as "what
if they sell your content or modify it only slightly and are given more credit
for the work than they deserve?" are already covered by the free software
philosophy can may be easily adopted here.

[1]: http://www.gnu.org/licenses/license-list.html#OpinionLicenses
[2]: http://creativecommons.org/licenses/
[3]: https://www.gnu.org/copyleft/copyleft.html
[4]: https://www.gnu.org/copyleft/gpl.html
[5]: https://www.gnu.org/philosophy/free-sw.html
[6]: https://www.gnu.org/philosophy/free-doc.html
[7]: http://www.gnu.org/philosophy/open-source-misses-the-point.html
[8]: http://creativecommons.org/licenses/by-sa/3.0/legalcode
[9]: http://en.wikipedia.org/wiki/Fair_use
[10]: http://www.gnu.org/philosophy/programs-must-not-limit-freedom.html

